%define name    ipmiutil
%define version	1.9.2
%define release %mkrel 1

Name:       %name
Version:    %version
Release:    %release
Summary:    A package that includes various IPMI server management utilities
License:    BSD
Group:      System/Kernel and hardware
Url:	    http://ipmiutil.sourceforge.net/
Source:     http://optusnet.dl.sourceforge.net/sourceforge/ipmiutil/%{name}-%{version}.tar.bz2
BuildRequires:  freeipmi-devel
BuildRequires:  openssl-devel
ExcludeArch:    ppc
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
The ipmiutil component package provides utilities to view the SEL (showsel), 
perform a hardware reset (hwreset), and set up the Platform Event Filter :q!

entry to allow BMC LAN alerts from OS Critical Stop messages (pefconfig).  
It requires an IPMI driver (ipmidrvr) package in order to talk to the 
BMC/firmware interface.
An IPMI driver can be provided by either the Intel IPMI driver (/dev/imb) 
or the valinux IPMI driver (/dev/ipmikcs).

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_datadir}/%{name}/{README,COPYING}

%clean
rm -rf %{buildroot}

%post
# after install
tmpsel=/tmp/pefcfg.tmp

# Assumes that the kernel patches are already in place.

# Make sure that the panic timeout is set to some reasonable value
PANIC_MODE=5
PANIC_FILE=/proc/sys/kernel/panic
PANIC_VALUE=`cat $PANIC_FILE`

# assume that if $pval is set, that someone has already configured lilo.conf
if [ "$PANIC_VALUE" = "0" ]
then
   # Panic timeout is not set, set timeout to $pnew
   echo "$PANIC_MODE" > $PANIC_FILE
   echo "kernel.panic=$PANIC_MODE" >> /etc/sysctl.conf
fi

# Set up the PEF entry to send the BMC LAN Alert for this event.
%{_sbindir}/pefconfig >$tmpsel 2>&1

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS TODO INSTALL
%{_sbindir}/*
%{_datadir}/%{name}
%{_mandir}/man8/*


%changelog
* Wed Mar 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.2-1mdv2007.1
+ Revision: 143850
- fix build dependencies
- new version



* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.6.4-2mdk
- Rebuild

* Mon Jun  13 2005 Erwan Velu <velu@seanodes.com> 1.6.4-1mdk
- 1.6.4

* Fri Apr  1 2005 Olivier Blin <oblin@mandrakesoft.com> 1.5.8-3mdk
- Patch1: do not build against old freeipmi (and readline)
- fix summary ended with dot

* Wed Mar 16 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5.8-2mdk
- don't try to build on ppc (depends on freeipmi)

* Fri Mar 03 2005 Erwan Velu <erwan@seanodes.com> 1.5.8-1mdk
- 1.5.8
* Wed Aug 18 2004 Erwan Velu <erwan@mandrakesoft.com> 1.4.8-1mdk
- Initial release
